### Class

# Phosh WWanOfono

since: 0

#### Description [src]

    final class Phosh.WWanOfono : Phosh.WWanManager
      implements Phosh.WWan {
      /* No available fields */
    }

Implementation of the `PhoshWWanInterface` for Ofono.

Available since: 0

#### Ancestors

- PhoshWWanManager
- GObject

#### Implements

- PhoshWWan

#### Constructors

###### phosh_wwan_ofono_new

No description available.

since: 0

#### Instance methods

##### Methods inherited from PhoshWWanManager (2)

###### phosh_wwan_manager_get_data_enabled

No description available.

since: 0

###### phosh_wwan_manager_set_enabled

No description available.

since: 0

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

##### Methods inherited from PhoshWWan (8)

###### phosh_wwan_get_access_tec

No description available.

since: 0

###### phosh_wwan_get_operator

No description available.

since: 0

###### phosh_wwan_get_signal_quality

No description available.

since: 0

###### phosh_wwan_has_sim

No description available.

since: 0

###### phosh_wwan_is_enabled

No description available.

since: 0

###### phosh_wwan_is_present

No description available.

since: 0

###### phosh_wwan_is_unlocked

No description available.

since: 0

###### phosh_wwan_set_enabled

No description available.

since: 0

#### Properties

##### Properties inherited from PhoshWWanManager (1)

###### Phosh.WWanManager:data-enabled

No description available.

since: 0

##### Properties inherited from PhoshWWan (7)

###### PhoshWWan:access-tec

No description available.

since: 0

###### PhoshWWan:enabled

No description available.

since: 0

###### PhoshWWan:operator

No description available.

since: 0

###### PhoshWWan:present

No description available.

since: 0

###### PhoshWWan:signal-quality

No description available.

since: 0

###### PhoshWWan:sim

No description available.

since: 0

###### PhoshWWan:unlocked

No description available.

since: 0

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

unstable since: 2.0

#### Class structure

    struct PhoshWWanOfonoClass {
      PhoshWWanManagerClass parent_class;

    }

No description available.

###### Class members

`parent_class: PhoshWWanManagerClass`
  No description available.